org.apache.jorphan.gui

## Class DefaultTreeTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - javax.swing.table.DefaultTableModel
    - - org.apache.jorphan.gui.AbstractTreeTableModel
      - - org.apache.jorphan.gui.DefaultTreeTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel, TreeTableModel

      public class DefaultTreeTableModel
      extends AbstractTreeTableModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.jorphan.gui.AbstractTreeTableModel

      `classes, headers, listener, objects, readFunctors, rootNode, writeFunctors`

    - ### Fields inherited from class javax.swing.table.DefaultTableModel

      `columnIdentifiers, dataVector`

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTreeTableModel()`
    `DefaultTreeTableModel(java.lang.String[] headers, Functor[] readFunctors, Functor[] writeFunctors, java.lang.Class<?>[] editorClasses)`
    `DefaultTreeTableModel(javax.swing.tree.TreeNode root)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.jorphan.gui.AbstractTreeTableModel

      `addTableModelListener, clearData, fireTreeNodesChanged, getChild, getChildCount, getColumnClass, getColumnCount, getColumnName, getRootNode, getRowCount, getValueAt, getValueAt, isCellEditable, isCellEditable, isLeaf, nodeStructureChanged, removeTableModelListener, setValueAt, setValueAt`

    - ### Methods inherited from class javax.swing.table.DefaultTableModel

      `addColumn, addColumn, addColumn, addRow, addRow, convertToVector, convertToVector, getDataVector, insertRow, insertRow, moveRow, newDataAvailable, newRowsAdded, removeRow, rowsRemoved, setColumnCount, setColumnIdentifiers, setColumnIdentifiers, setDataVector, setDataVector, setNumRows, setRowCount`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTreeTableModel

          public DefaultTreeTableModel()

    - #### DefaultTreeTableModel

          public DefaultTreeTableModel(javax.swing.tree.TreeNode root)

      Parameters:
        `root` - the `TreeNode` to use as root

    - #### DefaultTreeTableModel

          public DefaultTreeTableModel(java.lang.String[] headers,
                                       Functor[] readFunctors,
                                       Functor[] writeFunctors,
                                       java.lang.Class<?>[] editorClasses)

      Parameters:
        `headers` - the headers to use
        `readFunctors` - the read functors to use
        `writeFunctors` - the write functors to use
        `editorClasses` - the editor classes to use

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.